<?php

namespace App\Console\Commands\WechatPlatform;

use App\Jobs\WechatPlatform\GZHSendKFMessage;
use App\Service\Util\Support\Trace\TraceContext;
use App\Service\WechatPlatform\WechatPlatformConstService;
use EasyWeChat\Factory;
use EasyWeChat\Kernel\Messages\Text;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\DB;


class Test extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'WechatPlatform:Test';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $info = [
            'gzhId' => 8,
            'messageId' => 6,
            'traceInfo' => (new TraceContext())->getTraceInfo()
        ];
        $skf = new GZHSendKFMessage($info);

        $skf->handle();
    }
}
