<?php


namespace App\Modules\OrangeSite\Services\CheckReport;


use App\Modules\OrangeSite\Services\OrangeSiteRechargeReportCheckContext;
use Closure;
use Illuminate\Support\Facades\DB;
use Log;

class OrderAlreadyReportCheck
{
    /**
     * 订单已经存在 report_user_charge_records,那么就不需要处理了.也不需要重复记录入该表了.
     * @param $context OrangeSiteRechargeReportCheckContext
     * @param Closure $next
     * @return mixed
     */
    public function handle($context, Closure $next)
    {

        $exists = DB::table('report_user_charge_records')
            ->where([
                ['uid', '=', $context->user->id],
                ['order_no', '=', $context->order->trade_no],
                ['link_source', '=', $context->platform]
            ])->exists();
        if ($exists) {
            Log::debug('[orangeSiteRechargeReport]订单已经处理', [
                'traceInfo' => $context->traceContext->getTraceInfo()
            ]);
            $context->result = [
                'result' => false,
                'type' => '',
                'needRecord' => false,
                'firstReason' => 'OrderAlreadyReportCheck',
                'content' => '订单已经处理'
            ];
            return $context;
        } else {
            return $next($context);
        }
    }
}