<?php


namespace App\Modules\OrangeSite\Services;

use Redis;

class OrangeSiteReportSettingService
{
    public static function isEnableReport($channelId)
    {
        return Redis::hget('channel:setting:' . $channelId, 'orange_site_report');
    }

    public static function judgeRechargeAmountRange($orderPrice, $rechargeAmountRange)
    {
        return $orderPrice >= $rechargeAmountRange['min'] && $orderPrice <= $rechargeAmountRange['max'];
    }

    /**
     * 站点回传配置关于金额区间的提取
     * 1, 如果没有设置回传配置,默认 30-PHP_INT_MAX
     * 2, 如果 设置的上限为0 ,那么默认为 PHP_INT_MAX
     * @param $channelCallBackConfig 站点回传配置信息
     * @return array
     */
    public static function buildRechargeAmountRange($channelCallBackConfig)
    {
        if (!$channelCallBackConfig) {
            $min = 30;
            $max = PHP_INT_MAX;
            $maxStr = '不限';
        } else {
            $min = max(0, $channelCallBackConfig->min_callback_money);
            if (0 >= $channelCallBackConfig->max_callback_money) {
                $max = PHP_INT_MAX;
                $maxStr = '不限';
            } else {
                $max = $channelCallBackConfig->max_callback_money;
                $maxStr = $max . '元';
            }
        }

        $minStr = $min . '元';
        return compact('min', 'max', 'minStr', 'maxStr');
    }


}